Subject: MEGACO MIB Ver 02 Queries

From: [email-masked]
Date: Thu, 19 Jul 2001 09:47:03 +0530

Hi,

   This is with the reference to the Megaco draft MIB
    draft-ietf-megaco-mib-02.txt dated May 2001.

    I have a question regarding NOTIFICATIONS. ?

    A network deployment scenario could consist of diverse elements.
    A network operator would like to view all the alarms generated
    in the network at an integrated management system. Traps
    or alarms reported from diverse elements to the operator
    typically should be in a normalized format. What I mean to say here
    is the fields of an alarm record is same across all alarms.
    Only the content of these fields varies.

    For eg. .I get a NOTIFICATION from the MGC application or a MEGACO stack.
    The alarm  reported conforms to X.721 alarm record, namely
    alarm Name, perceivedSeverity, probableCause and additional Text.
    The contents of these fields varies with each notification.

    For Megaco it could be :

   medGwyLinkStatusChange NOTIFICATION-TYPE
       OBJECTS {
                 medGwalarmName,
                 medGwalarmSeverity,
                 medGwprobableCause
                 medGwadditionalText
               }
       STATUS  current
       DESCRIPTION
           "This notification indicates that operational status
            of a media gateway control link has changed."
   ::= { medGwyNotifPrefix 1}

         medGwyGatewayLinkName,medGwyGatewayOperStatus OBJECTS information could
be
        part of medGwadditionalText.

       My question is could we follow a common structure for defining
NOTIFICATION.
      The specific root cause objects could be part of the additional text. ??
An operator
       would typically be more worried about the severity of the alarm than the
actual
       alarm at the first sight.

       regards

       --
       harish lalapeth